Streak

Support Center

What browser do I need?

Last Updated: Jan 12, 2012 03:33PM PST
Currently Streak is only available in Chrome v15 and above but we will be adding more browsers soon. If you'd like your browser supported please let us know at support@streak.com

Contact Us

  • Contact us by email at support [at] streak.com
http://assets01.desk.com/
false
@streak
Loading
seconds ago
a minute ago
minutes ago
an hour ago
hours ago
a day ago
days ago
about
false
Invalid characters found
/customer/en/portal/articles/autocomplete